---
title: logging in
subtitle: "how to get into your account"
author: cark
date: 2021-03-09
color: orange
---
this guide is split into three parts:

- [Windows](#windows)
- [MacOS + Linux](#macos-and-linux)
- [Using the webterm](#using-the-webterm)

# Windows
there are many many ways to connect to an SSH server on Windows, here's a sample of some of them.

### the fastest: via powershell
the fastest way to get started on south london using Windows is via Powershell. the latest versions of Windows 10 include an `ssh` binary that you can use to connect to servers such as southlondon.cc.

to connect, just open up a powershell window and type

```powershell
ssh <your username>@southlondon.cc
```

if your keys are in a weird place, append `-i <path to your private key>` to make sure ssh can see them.  
if you see a warning asking you to verify the fingerprint, just type 'yes' and it'll connect you up to the server. congrats! you're now connected to south london.

### the unix-y-ist: cmder + git bash
getting cmder is pretty easy, just head on down to [cmder.net]() and click 'Download Full'. the full download includes Git Bash, which emulates the bash command line inside windows. just unzip the folder and double click `Cmder.exe`.

now just run this command to connect

```bash
ssh <your username>@southlondon.cc
``` 
<!--syntax highlighting seems to fuck this up huh -->

if you haven't already used cmder to generate your keys, you'll need to append `-i <path to your private key>` to make sure ssh can see them.  
say yes if it asks you to verify the fingerprint. if all goes well, you should be dumped into a prompt, you can now do whatever you need to do.

# macOS and linux
crack open a terminal and run

```
ssh <your username>@southlondon.cc
```
if your ssh key is in a nonstandard place, you'll also need to append `-i <ssh private key path>`.  
good job! you're in.

# using the webterm
if you're having trouble getting set up, you can use the webterm to login.
just click webterm on the homepage and type in your username and password.

# all finished?
just type `exit` or press `CTRL+D` to sever your connection.

# you might want to take a look at these too.

- [fun ssh tricks to save a bit of time](/wiki/ssh.html)
